%define base_name apt-conf
%define distro 3.0

Name: %base_name
Version: 1.18
Release: alt1.2

Summary: A set of apt configuration files
License: GPL
Group: System/Configuration/Packaging
BuildArch: noarch

Source0: apt-vendors.list
Source1: apt-sources.list
Source2: pkgpriorities

%ifndef distro
%define distro sisyphus
%{expand:%%global o_list %(for n in Spring Castle Compact Junior Master 3.0; do echo -n "apt-conf-$n "; done)}
%else
%undefine o_list
%endif

%ifndef dkey
%define dkey %distro
%endif

%package %distro
Summary: A set of apt configuration files for %distro
Group: System/Configuration/Packaging
Provides: %base_name = %version, %_sysconfdir/apt/pkgpriorities
PreReq: coreutils
%{?o_list:Obsoletes: %o_list}
Conflicts: apt < 0:0.5.15cnc6-alt15

%description
This package contains default apt configurations.

%description %distro
This package contains default apt configuration for %distro.

%install
%__install -pD %SOURCE0 $RPM_BUILD_ROOT%_sysconfdir/apt/vendors.list
%__install -p %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/apt/sources.list
%__subst -p 's/@%dkey@//g;s/@[^@]*@/#/g' $RPM_BUILD_ROOT%_sysconfdir/apt/sources.list
%__install -p %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/apt/
%__chmod 644 $RPM_BUILD_ROOT%_sysconfdir/apt/*

%triggerpostun %distro -- apt < 0.3.19cnc51-alt3 %{?o_list:%o_list}
f=%_sysconfdir/apt/sources.list
if [ ! -f "$f" ]; then
	if [ -f "$f".rpmsave ]; then
		%__cp -pf "$f".rpmsave "$f"
	elif [ -f "$f".rpmnew ]; then
		%__cp -pf "$f".rpmnew "$f"
	fi
fi

%files %distro
%config(noreplace) %_sysconfdir/apt

%changelog
* Thu Mar 02 2006 Dmitry V. Levin <ldv@altlinux.org> 1.18-alt1.2
- vendors.list: Added security@ key [80EF7625].

* Wed Oct 26 2005 Anton Farygin <rider@altlinux.ru> 1.18-alt1.1
- rebuild for 3.0

* Fri Jul 22 2005 Alexey Gladkov <legion@altlinux.ru> 1.18-alt1
- vendors.list:
  + added incominger@ to able sign Sisyphus-branch-3.0 hashs.

* Wed Jul 20 2005 Alexey Gladkov <legion@altlinux.ru> 1.17-alt1
- vendors.list:
  + added incominger@ gpg key to able sign sisyphus hashs.

* Fri Aug 13 2004 Dmitry V. Levin <ldv@altlinux.org> 1.16-alt1
- sources.list:
  + added sisyphus.irkutsk.ru mirror.

* Mon May 24 2004 Dmitry V. Levin <ldv@altlinux.org> 1.15-alt1
- pkgpriorities:
  + added: python-modules-tkinter;
- sources.list:
  + removed urls for old distros;
  + added urls for new distros.

* Thu May 20 2004 Dmitry V. Levin <ldv@altlinux.org> 1.14-alt1
- pkgpriorities:
  + added: python-dev, maxima-bin-gcl.

* Tue Oct 21 2003 Dmitry V. Levin <ldv@altlinux.org> 1.13-alt1
- sources.list:
  + added urls for Compact 2.3.

* Fri Oct 03 2003 Dmitry V. Levin <ldv@altlinux.org> 1.12-alt1
- pkgpriorities:
  + added: kernel-doc, postfix.

* Fri Sep 26 2003 Dmitry V. Levin <ldv@altlinux.org> 1.11-alt1
- pkgpriorities:
  + removed all from "Standard" level;
  + added: libpam0, libpam0-devel.

* Wed Aug 20 2003 Dmitry V. Levin <ldv@altlinux.org> 1.10-alt1
- pkgpriorities:
  + added: libtool_1.5
  + removed: kernel24-headers

* Tue Mar 04 2003 Dmitry V. Levin <ldv@altlinux.org> 1.9-alt1
- sources.list:
  + added urls for master22 and junior22.

* Sun Dec 29 2002 Dmitry V. Levin <ldv@altlinux.org> 1.8-alt1
- sources.list:
  + added emacs support (#0001068);
  + added updates urls for upcoming master and junior;
  + reworked file generation logic.

* Thu Dec 19 2002 Dmitry V. Levin <ldv@altlinux.org> 1.7-alt2
- apt-conf-sisyphus: obsoletes apt-conf-* (again).

* Wed Dec 18 2002 Dmitry V. Levin <ldv@altlinux.org> 1.7-alt1
- pkgpriorities: added kernel24-headers.
- Added mirrors:
  ftp-linux.cc.gatech.edu (Georgia Tech Software Library);
  ftp.nluug.nl (Netherlands LUG);
  ftp.impb.psn.ru (Pushchino Scientific Center);
  linux4u.jinr.ru (Joint Institute for Nuclear Research, Dubna);
  ftp.mobicomk.ru (MegaFonGSM, Caucasus);
  ftp.ilim.ru (Ust-Ilimsk)
  elterrus.org (Elterrus Network Group, Israel).

* Wed Dec 04 2002 Dmitry V. Levin <ldv@altlinux.org> 1.6-alt2
- Packaged %_sysconfdir/apt directory.
- Added %_sysconfdir/apt/pkgpriorities.
- Added mirror: ftp.leo.org.
- apt-conf-sisyphus: obsoletes apt-conf-*.

* Sat Jul 20 2002 Dmitry V. Levin <ldv@altlinux.org> 1.5-alt1
- Changed BuildArch to "noarch".
- Added urls for "i686" repository (#0001068).
- Changed default repository component for sisyphus to "classic".

* Wed Jun 19 2002 Dmitry V. Levin <ldv@altlinux.org> 1.4-alt1
- Updated urls for sisyphus repositories.

* Mon Jun 03 2002 Dmitry V. Levin <ldv@altlinux.org> 1.3-alt1
- Added urls for contrib and classic repositories.

* Tue May 07 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.2-alt1
- Updated urls for new Junior.

* Tue Apr 16 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.1-alt1
- Added urls for new Master.
- Added new mirrors.

* Thu Mar 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.0-alt2
- Fixed %%triggerpostun script.
- Uncomment only official sources.

* Wed Aug 01 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0-alt1
- Initial revision.
